Bug 1263359 - openjpeg: Use-after-free vulnerability in opj_j2k_write_mco
openjpeg: Use-after-free vulnerability in opj_j2k_write_mco
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20150814,repor...
: Security
Depends On: 1263361 1263362 1263364
Blocks: 1263360
  Show dependency treegraph
 
Reported: 2015-09-15 12:04 EDT by Adam Mariš
Modified: 2015-10-28 00:49 EDT (History)
8 users (show)

See Also:
Fixed In Version: openjpeg2-2.1.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-28 00:49:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-09-15 12:04:03 EDT
Use-after-free vulnerability was found in j2k.c in opj_j2k_write_mco function.

'l_current_data' is set to 'p_j2k->m_specific_param.m_encoder.m_header_tile_data',
'p_j2k->m_specific_param.m_encoder.m_header_tile_data' is later used as arg of 'realloc' and can be freed depending on the length of 'l_mco_size',
'l_current_data' is later used and can point to a freed memory zone

Upstream patch:

https://github.com/uclouvain/openjpeg/commit/940100c28ae28931722290794889cf84a92c5f6f
Comment 1 Adam Mariš 2015-09-15 12:05:56 EDT
Created openjpeg tracking bugs for this issue:

Affects: fedora-all [bug 1263361]
Comment 2 Adam Mariš 2015-09-15 12:05:58 EDT
Created mingw-openjpeg tracking bugs for this issue:

Affects: fedora-all [bug 1263362]
Comment 3 Adam Mariš 2015-09-15 12:06:00 EDT
Created openjpeg2 tracking bugs for this issue:

Affects: fedora-all [bug 1263364]
Comment 4 Adam Mariš 2015-09-16 03:59:26 EDT
CVE request:

http://seclists.org/oss-sec/2015/q3/550
Comment 5 Fedora Update System 2015-09-21 06:48:18 EDT
openjpeg2-2.1.0-6.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2015-10-01 14:50:22 EDT
openjpeg2-2.1.0-6.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2015-10-01 16:22:37 EDT
openjpeg2-2.1.0-6.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Huzaifa S. Sidhpurwala 2015-10-28 00:49:14 EDT
Statement:

Not vulnerable. This issue did not affect the versions of openjpeg as shipped
with Red Hat Enterprise Linux 6 and 7.

Note You need to log in before you can comment on or make changes to this bug.